List fees by country and service
curl --request GET \
--url https://api.mysoleas.com/pricing-rule/fees \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/pricing-rule/fees"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/pricing-rule/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mysoleas.com/pricing-rule/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-sp-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mysoleas.com/pricing-rule/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-sp-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mysoleas.com/pricing-rule/fees")
.header("x-sp-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mysoleas.com/pricing-rule/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-sp-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": [
{
"id": 123,
"min_amount": 123,
"max_amount": 123,
"operation": "COLLECTION",
"user_tier": 1,
"fee_value": 123,
"fee_type": "FIXED",
"reward_value": 123,
"sponsor_reward_value": 123,
"incoming_service": {
"id": 123,
"code": "mtn_cmr",
"country": "CMR",
"currency": "XAF"
},
"outgoing_service": {
"id": 123,
"code": "mtn_cmr",
"country": "CMR",
"currency": "XAF"
}
}
]
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}Catalog
List fees
List fee rules available for a country, service, and user tier.
GET
/
pricing-rule
/
fees
List fees by country and service
curl --request GET \
--url https://api.mysoleas.com/pricing-rule/fees \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/pricing-rule/fees"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/pricing-rule/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mysoleas.com/pricing-rule/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-sp-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mysoleas.com/pricing-rule/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-sp-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mysoleas.com/pricing-rule/fees")
.header("x-sp-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mysoleas.com/pricing-rule/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-sp-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": [
{
"id": 123,
"min_amount": 123,
"max_amount": 123,
"operation": "COLLECTION",
"user_tier": 1,
"fee_value": 123,
"fee_type": "FIXED",
"reward_value": 123,
"sponsor_reward_value": 123,
"incoming_service": {
"id": 123,
"code": "mtn_cmr",
"country": "CMR",
"currency": "XAF"
},
"outgoing_service": {
"id": 123,
"code": "mtn_cmr",
"country": "CMR",
"currency": "XAF"
}
}
]
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}This route returns the fee rules visible to the current token.
For a non-admin user, the gateway verifies that the token grants access to the requested country. If the country is not authorized, the response is
If
403 access_denied.
Useful parameters:
| Parameter | Role |
|---|---|
country | ISO alpha-3 country, for example CMR |
service_code | Incoming or outgoing service, for example mtn_cmr |
incoming_service_code | Incoming service to filter |
outgoing_service_code | Outgoing service to filter |
operation | COLLECTION or DISBURSEMENT |
user_tier | User tier to apply to the calculation |
user_tier is absent, the service uses the current token tier.Authorizations
Bearer token obtained with the client_id and client_secret of the application created in SoleasPay. Format: Bearer <access_token>.
Query Parameters
Example:
"CMR"
Filtre les fees ou le service apparait en entree ou en sortie.
Example:
"mtn_cmr"
Example:
"mtn_cmr"
Example:
"orange_cmr"
Example:
"COLLECTION"
Example:
1
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
